CVE-2022-22967

NameCVE-2022-22967
DescriptionAn issue was discovered in SaltStack Salt in versions before 3002.9, 3003.5, 3004.2. PAM auth fails to reject locked accounts, which allows a previously authorized user whose account is locked still run Salt commands when their account is locked. This affects both local shell accounts with an active session and salt-api users that authenticate via PAM eauth.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
Debian Bugs1013872

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
salt (PTS)stretch2016.11.2+ds-1+deb9u4vulnerable
stretch (security)2016.11.2+ds-1+deb9u10vulnerable
buster, buster (security)2018.3.4+dfsg1-6+deb10u3vulnerable
bullseye (security), bullseye3002.6+dfsg1-4+deb11u1vulnerable
sid3004.1+dfsg-2vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
saltsource(unstable)(unfixed)1013872

Notes

https://saltproject.io/security_announcements/salt-security-advisory-release-june-21st-2022/

Search for package or bug name: Reporting problems